Skip to main content
POST
Load bonus

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Path Parameters

memberId
string
required

The id of the member, max length 36

Maximum string length: 36

Body

application/json

Load bonus request

amount
number<double>
required

Amount of bonuses to load. Can be positive/negative if positive, then bonuses are added to member's account If negative, then bonuses are subtracted from member's account

type
string
required

Bonus type

Minimum string length: 1
operationId
string
required

Unique identifier of load bonus operation (should be same only for retries of the same operation)

Required string length: 1 - 128
metadata
object
required

Set of key-value pairs that you can attach to a load bonus transaction. This can be useful for storing additional information about the transaction in a structured format

Response

OK

transactionId
integer<int64>
required
Last modified on August 10, 2026